SWFieldManagerInternal::Field Struct Reference documentation

SWFieldManagerInternal::Field Struct Reference

Internal: a field. More...

`#include <SWFieldManager.hxx>`

Inheritance diagram for SWFieldManagerInternal::Field:

## Public Member Functions
| Field ()
| constructor
virtual | ~Field ()
| destructor
virtual bool | send (STOFFListenerPtr &listener, StarState &state) const
| add to send the zone data
virtual void | print (std::ostream &o) const
| print a field

## Public Attributes
int | m_type
| the field type
int | m_subType
| the subtype
int | m_format
| the field format
librevenge::RVNGString | m_name
| the name
librevenge::RVNGString | m_content
| the content
librevenge::RVNGString | m_textValue
| the value text
double | m_doubleValue
| double
int | m_level
| the chapter level

## Protected Member Functions
| Field (const Field &)=default
| copy constructor

## Friends
std::ostream & | operator<< (std::ostream &o, Field const &field)
| operator<<

## Detailed Description

Internal: a field.

## Constructor & Destructor Documentation

## ◆ Field() [1/2]

SWFieldManagerInternal::Field::Field | ( |  | ) |
| inline

constructor

Referenced by Field(), SWFieldManagerInternal::FieldDateTime::FieldDateTime(), SWFieldManagerInternal::FieldDateTime::FieldDateTime(), SWFieldManagerInternal::FieldDBField::FieldDBField(), SWFieldManagerInternal::FieldDBField::FieldDBField(), SWFieldManagerInternal::FieldHiddenText::FieldHiddenText(), SWFieldManagerInternal::FieldHiddenText::FieldHiddenText(), SWFieldManagerInternal::FieldINet::FieldINet(), SWFieldManagerInternal::FieldINet::FieldINet(), SWFieldManagerInternal::FieldJumpEdit::FieldJumpEdit(), SWFieldManagerInternal::FieldJumpEdit::FieldJumpEdit(), SWFieldManagerInternal::FieldPageNumber::FieldPageNumber(), SWFieldManagerInternal::FieldPageNumber::FieldPageNumber(), SWFieldManagerInternal::FieldPostIt::FieldPostIt(), SWFieldManagerInternal::FieldPostIt::FieldPostIt(), SWFieldManagerInternal::FieldScript::FieldScript(), SWFieldManagerInternal::FieldScript::FieldScript(), SWFieldManagerInternal::FieldSetExp::FieldSetExp(), SWFieldManagerInternal::FieldSetExp::FieldSetExp(), SWFieldManagerInternal::FieldSetField::FieldSetField(), SWFieldManagerInternal::FieldSetField::FieldSetField(), and operator<<.

## ◆ ~Field()

SWFieldManagerInternal::Field::~Field | ( |  | ) |
| virtual

destructor

## ◆ Field() [2/2]

SWFieldManagerInternal::Field::Field | ( | const Field & |  | ) |
| protecteddefault

copy constructor

## Member Function Documentation

## ◆ print()

void SWFieldManagerInternal::Field::print | ( | std::ostream & | o | ) | const
| virtual

print a field

Reimplemented in SWFieldManagerInternal::FieldDateTime, SWFieldManagerInternal::FieldDBField, SWFieldManagerInternal::FieldHiddenText, SWFieldManagerInternal::FieldINet, SWFieldManagerInternal::FieldJumpEdit, SWFieldManagerInternal::FieldPageNumber, SWFieldManagerInternal::FieldPostIt, SWFieldManagerInternal::FieldScript, SWFieldManagerInternal::FieldSetExp, and SWFieldManagerInternal::FieldSetField.

Referenced by operator<<, SWFieldManagerInternal::FieldDateTime::print(), SWFieldManagerInternal::FieldDBField::print(), SWFieldManagerInternal::FieldHiddenText::print(), SWFieldManagerInternal::FieldINet::print(), SWFieldManagerInternal::FieldJumpEdit::print(), SWFieldManagerInternal::FieldPageNumber::print(), SWFieldManagerInternal::FieldPostIt::print(), SWFieldManagerInternal::FieldScript::print(), SWFieldManagerInternal::FieldSetExp::print(), and SWFieldManagerInternal::FieldSetField::print().

## ◆ send()

bool SWFieldManagerInternal::Field::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state ) const
| virtual

add to send the zone data

Reimplemented in SWFieldManagerInternal::FieldDateTime, SWFieldManagerInternal::FieldDBField, SWFieldManagerInternal::FieldHiddenText, SWFieldManagerInternal::FieldINet, SWFieldManagerInternal::FieldJumpEdit, SWFieldManagerInternal::FieldPageNumber, SWFieldManagerInternal::FieldPostIt, SWFieldManagerInternal::FieldSetExp, and SWFieldManagerInternal::FieldSetField.

Referenced by SWFieldManagerInternal::FieldDateTime::send(), SWFieldManagerInternal::FieldDBField::send(), SWFieldManagerInternal::FieldHiddenText::send(), SWFieldManagerInternal::FieldINet::send(), SWFieldManagerInternal::FieldJumpEdit::send(), SWFieldManagerInternal::FieldPageNumber::send(), SWFieldManagerInternal::FieldPostIt::send(), SWFieldManagerInternal::FieldSetExp::send(), and SWFieldManagerInternal::FieldSetField::send().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Field const & | field )
| friend

operator<<

## Member Data Documentation

## ◆ m_content

librevenge::RVNGString SWFieldManagerInternal::Field::m_content

the content

Referenced by Field(), print(), send(), SWFieldManagerInternal::FieldHiddenText::send(), SWFieldManagerInternal::FieldJumpEdit::send(), SWFieldManagerInternal::FieldPostIt::send(), and SWFieldManagerInternal::FieldSetExp::send().

## ◆ m_doubleValue

double SWFieldManagerInternal::Field::m_doubleValue

double

Referenced by Field(), print(), and send().

## ◆ m_format

int SWFieldManagerInternal::Field::m_format

the field format

Referenced by Field(), print(), send(), SWFieldManagerInternal::FieldJumpEdit::send(), and SWFieldManagerInternal::FieldSetExp::send().

## ◆ m_level

int SWFieldManagerInternal::Field::m_level

the chapter level

Referenced by Field(), print(), and send().

## ◆ m_name

librevenge::RVNGString SWFieldManagerInternal::Field::m_name

the name

Referenced by Field(), print(), send(), and SWFieldManagerInternal::FieldSetExp::send().

## ◆ m_subType

int SWFieldManagerInternal::Field::m_subType

the subtype

Referenced by Field(), print(), and send().

## ◆ m_textValue

librevenge::RVNGString SWFieldManagerInternal::Field::m_textValue

the value text

Referenced by Field(), print(), and send().

## ◆ m_type

int SWFieldManagerInternal::Field::m_type

the field type

Referenced by Field(), print(), send(), SWFieldManagerInternal::FieldDateTime::send(), SWFieldManagerInternal::FieldDBField::send(), SWFieldManagerInternal::FieldHiddenText::send(), SWFieldManagerInternal::FieldINet::send(), SWFieldManagerInternal::FieldJumpEdit::send(), SWFieldManagerInternal::FieldPageNumber::send(), SWFieldManagerInternal::FieldPostIt::send(), SWFieldManagerInternal::FieldSetExp::send(), and SWFieldManagerInternal::FieldSetField::send().

The documentation for this struct was generated from the following files:

- SWFieldManager.hxx
- SWFieldManager.cxx